#ifndef PT_DRIVER_SDI_H
#define PT_DRIVER_SDI_H

#define PT_DRIVER_NAME_LENGTH 32

typedef struct PT_DRIVER_STR {
  char ptDriverName[PT_DRIVER_NAME_LENGTH];
  int ptVerbose;
  int v0, v1, v2;      /* version v0.v1.v2 */
  double ptResolution; /* Resolution des codeurs (sec arc / position)
			  Utilisee dans les macros PT_STEP_TO_RAD ... */
  double ptStep2rad;
  double ptRad2step;
  double ptStep2deg;
  double ptDeg2step;
  
  BOOL ptDriverInitialized;
  BOOL ptStopDriverFlag;

  struct PT_DRIVER_PRIVATE *privateData;
} PT_DRIVER_STR;

#endif
